<script lang="ts">
export default {
  name: 'Squares',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
};
</script>

<template>
  <section>
    <SlpContainer>
      <SlpTypography
        v-if="data.header"
        tag="h1"
        variant="heading2-bold"
        class="slp-mb-32 content-cards-heading"
      >
        {{ data.header }}
      </SlpTypography>
      <div class="content-cards">
        <div
          v-for="card in data.information_squares"
          :key="card.icon"
          class="content-card"
        >
          <img
            v-if="card.icon_src"
            class="icon"
            :src="card.icon_src"
            aria-hidden="true"
            alt=""
          />
          <SlpIcon
            v-else-if="card.icon"
            :name="card.icon"
            size="lg"
            class="slp-mb-16"
            variant="marketing"
          />
          <SlpTypography tag="h3" variant="heading3-bold" class="slp-mb-16">
            {{ card.heading }}
          </SlpTypography>
          <SlpTypography variant="body2" tag="p">
            {{ card.text }}
          </SlpTypography>
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.content-cards {
  display: flex;
  flex-wrap: wrap;
  padding: $spacing-96 0;

  @media (max-width: $breakpoint-lg) {
    padding: $spacing-64 0;
  }

  .content-card {
    padding: $spacing-32 40px 40px 40px;
    flex: 1 0 45%;

    .icon {
      width: 48px;
      height: 48px;
    }

    @media (max-width: $breakpoint-lg) {
      padding: $spacing-32 0;
      flex: 1 0 100%;

      &:not(:last-of-type) {
        border-bottom: 1px solid $color-surface-200;
      }
    }

    @media (min-width: $breakpoint-lg) {
      &:nth-of-type(1),
      &:nth-of-type(3) {
        border-right: 1px solid $color-surface-200;
      }

      &:nth-of-type(3),
      &:nth-of-type(4),
      &:last-of-type {
        border-top: 1px solid $color-surface-200;
      }
    }
  }
}
</style>
